Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 342323 - Stabilize dev-db/sqlite-3.7.2 (test with USE="icu")
Summary: Stabilize dev-db/sqlite-3.7.2 (test with USE="icu")
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 342431 342469
Blocks: 341821 342325 CVE-2010-3765
  Show dependency tree
 
Reported: 2010-10-23 15:03 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2010-12-07 21:19 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-10-23 15:03:41 UTC
Stabilize dev-db/sqlite-3.7.2.
Comment 1 Agostino Sarubbo gentoo-dev 2010-10-23 15:08:10 UTC
good on amd64
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2010-10-23 20:37:29 UTC
amd64 done. Thanks Agostino
Comment 3 David Abbott gentoo-dev 2010-10-23 23:07:12 UTC
Tested on x86 all good here.
Comment 4 Myckel Habets 2010-10-24 07:39:35 UTC
I get test failures on x86 due to, I think, USE flag "icu" (tests: e_expr-14.5.2 e_expr-15.1.1 e_expr-15.1.2 e_expr-15.1.3 e_expr-15.1.4 e_expr-18.1.1 e_expr-18.1.2).

Looking further into it atm, will post a new bug later.
Comment 5 Brent Baude (RETIRED) gentoo-dev 2010-10-24 14:27:36 UTC
ppc stable
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2010-10-25 00:26:28 UTC
Thanks Myckel, we will do it anyway, x86 stable
Comment 7 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-10-30 16:31:37 UTC
  30 Oct 2010; Mark Loeser <halcy0n@gentoo.org> sqlite-3.7.2.ebuild:
  Stable for ppc64; bug #342847
Comment 8 Markus Meier gentoo-dev 2010-10-30 18:16:58 UTC
arm stable
Comment 9 Petteri Räty (RETIRED) gentoo-dev 2010-10-31 08:46:29 UTC
This package fails tests and you guys are marking it stable? Arfrever: you should have clearly asked arches to stop stabling until bug #342469 is fixed. Adding back arches so that they can test if tests are now broken in stable and think what to do.
Comment 10 Petteri Räty (RETIRED) gentoo-dev 2010-10-31 08:47:44 UTC
(In reply to comment #6)
> Thanks Myckel, we will do it anyway, x86 stable
> 

Hmm. Did not notice this one at first. Is the reason the bugs this one is blocking?
Comment 11 Christian Faulhammer (RETIRED) gentoo-dev 2010-10-31 15:38:20 UTC
(In reply to comment #10)
> (In reply to comment #6)
> > Thanks Myckel, we will do it anyway, x86 stable
> > 
> 
> Hmm. Did not notice this one at first. Is the reason the bugs this one is
> blocking?

 As I found no build and runtime problems with that version of SQLite I decided to do the stabilisation anyway as I don't want people running around with vulnerable browsers.  So you may excuse that decision.
Comment 12 Jeroen Roovers (RETIRED) gentoo-dev 2010-11-04 20:32:43 UTC
Stable for HPPA!?
Comment 13 Markos Chandras (RETIRED) gentoo-dev 2010-11-07 13:02:46 UTC
There is nothing left for us here. indeed tests fail for 3.7.2 and pass on 3.7.3 so if you want to fast-stabilize the next release thats fine for me. And sorry from my part. I should have checked better
Comment 14 Jeremy Murphy 2010-11-14 01:48:40 UTC
Mmm, I second that on x86: 3.7.2 fails tests where 3.7.3 does not.
Comment 15 Raúl Porcel (RETIRED) gentoo-dev 2010-11-14 12:47:31 UTC
alpha/ia64/s390/sh/sparc stable
Comment 16 Brent Baude (RETIRED) gentoo-dev 2010-11-28 15:16:13 UTC
ppc64 done
Comment 17 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-12-07 21:19:43 UTC
  24 Oct 2010; Brent Baude <ranger@gentoo.org> sqlite-3.7.2.ebuild:
  stable ppc, bug 342323